## open-infrastructure-package-tracker 20170515

=== Makefile ===
# Makefile

# package-tracker - Compare and track package versions in debian repositories
# Copyright (C) 2017 Andreas Kreuzer <andreas.kreuzer@open-infrastructure.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# Depends: python3, python3-apt

SHELL := sh -e

SOFTWARE = package-tracker

all: build

build: share/man/*.txt
	$(MAKE) -C share/man

	sed -n '/^NAME/,$$p' share/man/$(SOFTWARE).7.txt > README.txt

install: build
	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)
	cp -r VERSION.txt share/templates ${DESTDIR}/usr/share/$(SOFTWARE)

	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -r CHANGELOG.txt LICENSE.txt README.txt share/doc/* $(DESTDIR)/usr/share/doc/$(SOFTWARE)

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc || true

	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share || true

	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:
	$(MAKE) -C share/man clean

	rm -f README.txt

distclean:

reinstall: uninstall install

=== share/man/Makefile ===
# Makefile

# container-tools - Manage systemd-nspawn containers
# Copyright (C) 2017 Andreas Kreuzer <andreas.kreuzer@open-infrastructure.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Depends: asciidoc dblatex docbook-xsl libxml2-utils source-highlight

A2X = a2x \
	--asciidoc-opts "-a revdate=$(shell cat ../../VERSION.txt)" \
	--doctype=manpage

SHELL := sh -e

all: build

clean:
	rm -f *.[0-9]
	rm -f *.xml

build: man

rebuild: clean build

man: *.txt
	for FILE in *.txt; \
	do \
		$(A2X) --format=manpage $${FILE}; \
	done

.PHONY: all clean build rebuild man

=== debian/changelog ===
open-infrastructure-package-tracker (20170515-3) unstable; urgency=medium

  * Uploading to sid.
  * Removing logfiles when purging package (Closes: #886929).
  * Adding distribution upload note to last debian changelog entry.
  * Updating to debhelper version 11.
  * Updating to standards version 4.1.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 17 Feb 2018 08:31:39 +0100

open-infrastructure-package-tracker (20170515-2) unstable; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.1.1.
  * Using https for copyright format url.
  * Unconditionally overwrite symlinks for apt keyring in /var/lib
    /package-tracker on package reconfiguration (Closes: #875413).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 14 Oct 2017 17:57:33 +0200

open-infrastructure-package-tracker (20170515-1) unstable; urgency=low

  * Initial upload to sid (Closes: #863128).

 -- Andreas Kreuzer <andreas.kreuzer@progress-linux.org>  Mon, 15 May 2017 16:43:45 +0200

=== debian/control ===
Source: open-infrastructure-package-tracker
Section: admin
Priority: optional
Maintainer: Andreas Kreuzer <andreas.kreuzer@progress-linux.org>
Uploaders:
 Daniel Baumann <daniel.baumann@progress-linux.org>,
Build-Depends:
 asciidoc,
 debhelper (>= 11),
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc,
Standards-Version: 4.1.3
Homepage: https://open-infrastructure.net/software/package-tracker
Vcs-Browser: https://sources.progress-linux.org/users/andreas.kreuzer/debian/packages/open-infrastructure-package-tracker
Vcs-Git: https://sources.progress-linux.org/users/andreas.kreuzer/debian/packages/open-infrastructure-package-tracker

Package: open-infrastructure-package-tracker
Architecture: all
Depends:
 python3,
 python3-apt,
 ${misc:Depends},
Description: Compare and track package versions in debian repositories
 package-tracker is designed to compare apt archives from a derrivate (debian
 extending repositories) against their parent ones. As such it is possible to
 track changes of package versions in other archives.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := package-tracker

%:
	dh ${@}

override_dh_auto_build:
	# disabled

override_dh_auto_install:
	dh_auto_install

	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE)/CHANGELOG.txt
	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE)/LICENSE.txt

	mv debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE) debian/open-infrastructure-$(PACKAGE)/usr/share/doc/open-infrastructure-$(PACKAGE)

=== debian/watch ===
version=4
opts=pgpmode=auto https://files.open-infrastructure.net/software/package-tracker/upstream/package-tracker-(.+)\.tar\.xz
